//
//  ZYAlbumTableViewCell.m
//  ImagesMultiple
//
//  Created by 轶辉 on 16/10/14.
//  Copyright © 2016年 YiHui. All rights reserved.
//

#import "ZYAlbumTableViewCell.h"
#import "ZYAlbumModel.h"

@interface ZYAlbumTableViewCell ()
{
    UIImageView * _imageView;   // 相册的第一张图片
    UILabel     * _label;       // 相册名称
}
@end

@implementation ZYAlbumTableViewCell

+ (ZYAlbumTableViewCell *)setZYAlbumTableViewCell:(UITableView *)tableView {
    static NSString * my_id = @"ZYAlbum";
    ZYAlbumTableViewCell * cell = [tableView dequeueReusableCellWithIdentifier:my_id];
    if (!cell) {
        cell = [[ZYAlbumTableViewCell alloc]initWithStyle:UITableViewCellStyleDefault reuseIdentifier:my_id];
        
    }
    return cell;
}

- (instancetype)initWithStyle:(UITableViewCellStyle)style reuseIdentifier:(NSString *)reuseIdentifier {
    self = [super initWithStyle:style reuseIdentifier:reuseIdentifier];
    if (self) {
        [self createAlbumCellUI];
       
    }
    return self;
}

- (void)createAlbumCellUI {
    self.selectionStyle = UITableViewCellSelectionStyleNone;
    self.accessoryType  = UITableViewCellAccessoryDisclosureIndicator;
    
    _imageView = [[UIImageView alloc]initWithFrame:CGRectMake(10, 5, 60, 60)];
    _imageView.contentMode = UIViewContentModeScaleAspectFill;
    _imageView.clipsToBounds = YES;
    [self.contentView addSubview:_imageView];
    
    _label = [[UILabel alloc]initWithFrame:CGRectMake(80, 25, 100, 20)];
    _label.font = [UIFont systemFontOfSize:15.0f];
    [self.contentView addSubview:_label];
    
    UIView * line = [[UIView alloc]initWithFrame:CGRectMake(12, 69.5, 320, 0.5)];
    line.backgroundColor = [UIColor lightGrayColor];
    [self.contentView addSubview:line];
}

- (void)setModel:(ZYAlbumModel *)model {
    _model = model;
    _label.text = model.photoName;
    _imageView.image = model.image;
}


- (void)awakeFromNib {
    // Initialization code
}

- (void)setSelected:(BOOL)selected animated:(BOOL)animated {
    [super setSelected:selected animated:animated];

    // Configure the view for the selected state
}

@end
