
//
//  ZYImageViewCell.m
//  ImagesMultiple
//
//  Created by 轶辉 on 16/10/14.
//  Copyright © 2016年 YiHui. All rights reserved.
//

#import "ZYImageViewCell.h"


@interface ZYImageViewCell ()
{
    UIImageView * _imageView;
    UIButton    * _imageBtn;
    int           _num;
}


@end

@implementation ZYImageViewCell

- (instancetype)initWithFrame:(CGRect)frame {
    self = [super initWithFrame:frame];
    if (self) {
        [self createSubViews];
    }
    return self;
}

- (void)createSubViews {
    _num = 0;
    
    _imageView = [[UIImageView alloc]initWithFrame:self.bounds];
    _imageView.contentMode   = UIViewContentModeScaleAspectFill;
    _imageView.clipsToBounds = YES;
    _imageView.userInteractionEnabled = YES;
    UITapGestureRecognizer * imagesTap = [[UITapGestureRecognizer alloc]initWithTarget:self action:@selector(imagesTapClick)];
    [_imageView addGestureRecognizer:imagesTap];
    [self.contentView addSubview:_imageView];
    
    _imageBtn = [UIButton buttonWithType:UIButtonTypeCustom];
    _imageBtn.frame = CGRectMake(self.frame.size.width - 28, 3, 25, 25);
    [_imageBtn setBackgroundImage:[UIImage imageNamed:@"ico_check_nomal"] forState:UIControlStateNormal];
    [_imageBtn setBackgroundImage:[UIImage imageNamed:@"ico_check_select"] forState:UIControlStateSelected];
    [_imageView addSubview:_imageBtn];
}



- (void)imagesTapClick {
    if ([self.delegate respondsToSelector:@selector(imagesClickIndexPath:)]) {
        [self.delegate imagesClickIndexPath:self.indexPath];
    }
}

- (void)setIndexPath:(NSIndexPath *)indexPath {
    _indexPath = indexPath;
    _imageBtn.tag = indexPath.row + 1;
}

- (void)setImage:(UIImage *)image {
    _image = image;
    _imageView.image = image;
}



@end
