//
//  ZYViewController.m
//  ImagesMultiple
//
//  Created by 轶辉 on 16/10/14.
//  Copyright © 2016年 YiHui. All rights reserved.
//

#import "ZYViewController.h"
#import "ZYImagesMultipleView.h"
#import "ZYAlbumViewController.h"
#import "AppDelegate.h"
#import "ZYImageModel.h"
#import <Photos/Photos.h>

@interface ZYViewController ()<ZYImagesDelegate>

@property (nonatomic, strong) AppDelegate * app;

@end

@implementation ZYViewController

- (void)viewDidLoad {
    [super viewDidLoad];
 

    [self ToGrantAuthorization];
    [self createUI];
}


- (void)ToGrantAuthorization {
    [PHAssetCollection fetchAssetCollectionsWithType:PHAssetCollectionTypeAlbum subtype:PHAssetCollectionSubtypeAlbumRegular options:nil];
}

- (void)createUI {
    
    self.title = @"图片多选";
    ZYImagesMultipleView * multipleView = [[ZYImagesMultipleView alloc]initWithFrame:CGRectMake(0, 100, [UIScreen mainScreen].bounds.size.width, 300)];
    multipleView.delegate = self;
    [self.view addSubview:multipleView];
    
}

- (void)viewWillAppear:(BOOL)animated {
    
    /*
     将获取到的图片数组存在一个单例类中会合适些
     我这里直接存在appDelegate里面、后期会更改
     */
    
    [super viewWillAppear:animated];
    int i = 0;
    for (ZYImageModel * model in self.app.imagesArr) {
        i++;
        NSLog(@"图片%d--->>%@", i,model.images);
    }
}

// 实现协议
- (void)ZYImagesDelegateClick {
    ZYAlbumViewController * albumVc = [[ZYAlbumViewController alloc]init];
    albumVc.maxImages = 9;  // 设置最大的可选图片数量
    UINavigationController * nav = [[UINavigationController alloc]initWithRootViewController:albumVc];
    [self presentViewController:nav animated:YES completion:nil];
}


- (AppDelegate *)app {
    if (!_app) {
        _app = [UIApplication sharedApplication].delegate;
    }
    return _app;
}

- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}



@end
